unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Math;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Memo1: TMemo;
    Button1: TButton;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}



procedure TForm1.FormCreate(Sender: TObject);
begin
Edit1.Text:='-0,02235';
Edit2.Text:='2,23';
Edit3.Text:='15,221';
Memo1.Clear;
end;



procedure TForm1.Button1Click(Sender: TObject);
var x,y,z,a,b,c,s: extended;
begin
Memo1.Clear;
Memo1.Lines.Add('Исходные данные:');
 x:=StrToFloat(Edit1.Text);
Memo1.Lines.Add('X='+FloatToStrF(x,fffixed,8,5));
 y:=StrToFloat(Edit2.Text);
Memo1.Lines.Add('Y='+FloatToStrF(y,fffixed,8,2));
 z:=StrToFloat(Edit3.Text);
Memo1.Lines.Add('Z='+FloatToStrF(z,fffixed,8,3));
 a:=power((sqr(x*x*x)+sqr(ln(y))),1/3);
 b:=exp(abs(x-y))*power(abs(x-y),(x+y));
 c:=arctan(z)+arctan(x);
 s:=a+b/c;
Memo1.Lines.Add('Результат f ='+FloatToStrF(s,fffixed,8,3));
end;

end.
